Projects

Get OAuth provider configuration

Returns the configuration for a specific OAuth provider for the project (without sensitive data)

AuthBearer (JWT)
GroupProjects
Rate limitSee Rate Limits
GET/api/auth/oauth/projects/{projectId}/providers/{provider}

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, ProjectsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const projects = new ProjectsApi(configuration);
import { Configuration, ProjectsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const projects = new ProjectsApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await projects.getOAuthProviderConfig("proj_f8KpnfIxdTTl", "matrix synthesize");
const { data: result } = await projects.getOAuthProviderConfig("proj_f8KpnfIxdTTl", "matrix synthesize");

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYes
providerstringYes

Responses

200OAuth provider configuration
json
{
  "name": "google",
  "enabled": true,
  "displayName": "Sign in with Google",
  "config": {
    "clientId": "123456789-abcdefghijklmnop.apps.googleusercontent.com",
    "scope": [
      "profile",
      "email"
    ]
  }
}
{
  "name": "google",
  "enabled": true,
  "displayName": "Sign in with Google",
  "config": {
    "clientId": "123456789-abcdefghijklmnop.apps.googleusercontent.com",
    "scope": [
      "profile",
      "email"
    ]
  }
}
403
404

Errors

CodeMeaning
403
404
Edit this page on GitHub